×
Siemens Industry Online Support
Siemens AG
Entry type: FAQ Entry ID: 109474273, Entry date: 02/27/2015
(0)
Rate

How can you upgrade the GNU C Library (Security Advisory SSA - 994726)

  • Entry
  • Associated product(s)
The following document describes in further detail how to upgrade glibc on a RUGGEDCOM APE line module.

 

The following RUGGEDCOM APE line modules may be open to vulnerabilities related to certain versions of GNU C Library (CVE-2015-0235):

 Order Code
 Order number
APE1402-XX 6GK6015-0AL20-0GB0
APE1402-C01 6GK6015-0AL20-0GB1
APE1404-XX 6GK6015-0AL20-0GD0
APE1404-C01 6GK6015-0AL20-0GD1

In response to the severity of these vulnerabilities, Siemens strongly recommends that customers of RUGGEDCOM APE line modules follow the prescribed process to upgrade the GNU C Library (glibc), regardless of the manufacturing date of their hardware.

The following document describes in further detail how to upgrade glibc on a RUGGEDCOM APE line module.

  109474273_RUGGEDCOM_Updating_GNU_C_Library_SSA_994726_APE_en.pdf (30,1 KB)